Bug 174808 - CVE-2002-2185 IGMP DoS
CVE-2002-2185 IGMP DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
public=20020625,impact=moderate
: Security
: 174809 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 08:54 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 11:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-12-02 08:54:46 EST
+++ This bug was initially created as a clone of Bug #174807 +++

http://www.cs.ucsb.edu/~krishna/igmp_dos/

With IGMP version 1 and 2 it is possible to inject a unicast report to a client
which will make it ignore multicast reports sent later by the router.

The fix is to only accept the report if is was sent to a multicast or unicast
address.  Fix from David Stevens at IBM and will be made upstream shortly.

-- Additional comment from mjc@redhat.com on 2005-12-02 08:53 EST --
Created an attachment (id=121751)
proposed upstream patch
Comment 1 Ernie Petrides 2005-12-02 17:45:36 EST
*** Bug 174809 has been marked as a duplicate of this bug. ***
Comment 2 Ernie Petrides 2006-01-11 18:37:46 EST
A fix for this problem has just been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).
Comment 5 Red Hat Bugzilla 2006-01-19 11:02:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html
Comment 6 Ernie Petrides 2006-01-20 18:37:04 EST
A fix for this problem has also been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).

Note You need to log in before you can comment on or make changes to this bug.